# Recurring - Product Contract

This module adds support for products to be linked to contract templates.

A contract is created on `sale.order` confirmation for each different template used in sale order line where recurrence details are set too.

Contract product are ignored on invoicing process and pass to nothing to invoice directly.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To use this module, you need to:

1. Go to Sales -> Products and select or create a product.
2. Check “Is a contract” and select the contract template related to the product
3. Define default recurrence rules

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- LasLabs
- ACSONE SA/NV

## Contributors

- Ted Salmon <tsalmon@laslabs.com>
- Souheil Bejaoui <souheil.bejaoui@acsone.eu>
- Tecnativa:
  - Ernesto Tejeda
  - Pedro M. Baeza

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/contract project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.